{{The largest value you can enter is 255. This will only show
the difference between entering a float number and an integer}}

CON                              
                                 
  _clkmode = xtal1 + pll16x      
  _xinfreq = 5_000_000

OBJ
   
  eeprom  : "Propeller Eeprom"
  term  : "HyperTerminal"

VAR
    Long eepromData2
     
PUB main   | value
    
  
  term.start(31, 30, 0, 57600)
  waitcnt(clkfreq * 2 + cnt)    
  Load 
  term.dec(eepromData2)    
 
  repeat
    term.Cr                                                     
    term.Str(String("Enter a number up to 255: "))
    term.Cr                                  
    value := term.GetDec                                                               
    term.Str(String("The number is..."))                                                                        
    term.Dec(value)
    eepromData2 := value 
    Backup_it_up(eepromData2)
    term.Cr
    term.Str(String("Press reset..."))
                                                                                                                                           
                                    
PUB Backup_it_up(idx)       
  
    eeprom.VarBackup(@eepromData2, @eepromData2)  

PUB Load                                         '' Load entire array from EEPROM
                                                 
  eeprom.VarRestore(@eepromData2[eepromData2], @eepromData2[eepromData2])      ' Copy array from EEPROM to RAM
   